Page MenuHomePhabricator

Drop the "archive" type in the general index
Closed, ResolvedPublic

Description

The archive type has to be removed prior to upgrading to 6.x.
As we are moving to have multiple elastic instance per node we can create many more indices so the easiest solution is to simply create a new index dedicate to archives.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterMove "archive" to its own index
mediawiki/extensions/CirrusSearch : masterStart using the archive alias
mediawiki/extensions/CirrusSearch : masterAdd the "archive" alias

Event Timeline

dcausse created this task.Jul 23 2018, 2:20 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJul 23 2018, 2:20 PM

Change 447641 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add the "archive" alias

https://gerrit.wikimedia.org/r/447641

Change 447642 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Move "archive" to its own index

https://gerrit.wikimedia.org/r/447642

Change 448000 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Start using the archive alias

https://gerrit.wikimedia.org/r/448000

Change 447641 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add the "archive" alias

https://gerrit.wikimedia.org/r/447641

Moving to waiting/blocked, I'm thinking we want to delay creating the archive indices until after we deploy multiple elasticsearch instances? We probably could deploy it before hand, the master node latency evaluation was reasonable, not great but reasonable, with only the new archive indices added. With 2x the archive indices added was where we started seeing more erratic master latency behaviour.

Safest though would be to let this be waiting/blocked until then.

Change 448000 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Start using the archive alias

https://gerrit.wikimedia.org/r/448000

debt added a subscriber: debt.Aug 10 2018, 8:14 PM

This is finishing up work started in T199256.

Change 447642 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Move "archive" to its own index

https://gerrit.wikimedia.org/r/447642

debt closed this task as Resolved.Jan 26 2019, 7:27 PM